package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * 43.NFT 购买
 */
@Data
public class Nft043BuyResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft043BuyResp obj = new Nft043BuyResp();
    public static Nft043BuyResp getNew() {
        try {
            return (Nft043BuyResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft043BuyResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
